% This m file was generated at 2007-06-07 12:46
% by WebLaborator (http://www.edotronik.de/stateye)
% using cbfElaborator V.4.2.3.15541 (c) Edotronik GmbH & Co KG
echo on;
disp(sprintf('\nMESSAGE: M-file execution started at %s ...', datestr(clock, 'yyyy-mm-dd HH:MM:SS')));
clear all;
pack;
% BEGIN of analysis run 'SAS6G_fir' (1 of 2)
disp('BEGIN of analysis run "SAS6G_fir" (1 of 2)');
clear all;
pack;
path('/home/stateye/stateye/release/bin', path);
path('/home/stateye/stateye/release/scripts', path);
if isempty(which('twoport'))
	error('Stateye bin directory not found, please add the location of the Stateye binaries to your MATLAB search path manually.');
end;
if isempty(which('create8.m'))
	error('Stateye scripts directory not found, please add the location of the Stateye scripts to your MATLAB search path manually.');
end;
checkFilesystem('../sas/../output',3);
checkFilesystem('../sas/../output/SAS6G_fir',3);
checkFilesystem('../sas/SAS2_transmittertestload.s4p',0);
path('/home/stateye/stateye/release/bin', path);
path('/home/stateye/stateye/release/scripts', path);
if isempty(which('twoport'))
	error('Stateye bin directory not found, please add the location of the Stateye binaries to your MATLAB search path manually.');
end;
if isempty(which('create8.m'))
	error('Stateye scripts directory not found, please add the location of the Stateye scripts to your MATLAB search path manually.');
end;
checkFilesystem('../sas/../output',3);
checkFilesystem('../sas/../output/SAS6G_fir',3);
checkFilesystem('../sas/SAS2_transmittertestload.s4p',0);
tic;
timestmp = datestr(clock, 'yyyymmddTHHMMSS');
try
	initresults;
	optlog = '';
	baudrate = 6.000e9;
	results.runId = 'SAS6G_fir';
	results.runCounter = '1 of 2';
	results.precursors = 4;
	results.postcursors = 90;
	results.width = 60;
	results.bins = 4000;
	results.baudrate = baudrate;
	outfile = ['../sas/../output/SAS6G_fir/diary_' timestmp '.txt'];
	diary(outfile);
	results.files = [results.files outfile ' '];
	results.transmitterId = 'SAS6G_Tx_8dB';
	results.optemphasis = 0;
	results.dcd = 1;
	results.jitterId = 'SAS6G_Jit';
	results.jitterTemplate = 'gauss';
	results.jitterDj = 0.18;
	results.jitterRj = 0.18/(2*7.94);
	genJitGauss(60, 0.18/(2*7.94), 0.18, '../sas/gauss_60_0c18sb2u7c94b_0c18.jit');
	results.receiverId = 'SAS6G_Rx_dfe0';
	results.ber = 1e-15;
	results.dfetapsNumber = 0;
	results.cdrEnabled = 0;
	results.tjRequired = 0.60;
	results.djRequired = 0.42;
	results.qRequired = (2*7.94);
	results.eyeRequired = (50*2)/800;
	results.channelId = 'full';
	tpcomplete = twoport;
	% begin cascade
	tpTxRL = twoport;
	% begin filter
	tempFilter.R=45;
	tempFilter.C=800e-15;
	tempFilter.p=[0.75*baudrate];
	tempFilter.z=[];
	tempFilter.targetfreq=[];
	tempFilter.optinitfreq=[];
	tempFilter.sdd21=[];
	twoport(tpTxRL,'filter', tempFilter.R, tempFilter.C, size(tempFilter.p),size(tempFilter.z), tempFilter.p, tempFilter.z);
	clear tempFilter;
	% end filter
	tpSAS2TxTestLoad = twoport;
	% begin s4x4
	tpSAS2TxTestLoad_1526 = twoport;
	twoport(tpSAS2TxTestLoad_1526,'loadfile', '../sas/SAS2_transmittertestload.s4p', 4);
	twoport(tpSAS2TxTestLoad,'map',tpSAS2TxTestLoad_1526,[1 2 3 4],[1 5 2 6],4);
	twoport(tpSAS2TxTestLoad_1526, 'clear');
	clear tpSAS2TxTestLoad_1526;
	% end s4x4
	tpRxRL = twoport;
	% begin filter
	tempFilter.R=45;
	tempFilter.C=800e-15;
	tempFilter.p=[];
	tempFilter.z=[];
	tempFilter.targetfreq=[];
	tempFilter.optinitfreq=[];
	tempFilter.sdd21=[];
	twoport(tpRxRL,'filter', tempFilter.R, tempFilter.C, size(tempFilter.p),size(tempFilter.z), tempFilter.p, tempFilter.z);
	clear tempFilter;
	% end filter
	tpCascTemp1 = twoport;
	errorFlag = twoport(tpCascTemp1, 'cascade', tpTxRL, tpSAS2TxTestLoad, 2001);
	results.messages = [results.messages handleErrorflag('cascade', errorFlag) ' '];
	errorFlag = twoport(tpcomplete, 'cascade', tpCascTemp1, tpRxRL, 2001);
	results.messages = [results.messages handleErrorflag('cascade', errorFlag) ' '];
	twoport(tpCascTemp1, 'clear');
	clear tpCascTemp1;
	% end cascade
	fdcomplete_DA49F6CE = frequencyDomain;
	frequencyDomain(fdcomplete_DA49F6CE, 'create', tpcomplete,1,5,2,6);
	errorFlag = frequencyDomain(fdcomplete_DA49F6CE, 'addDC', 3*baudrate, 50000000, 50000000);
	results.messages = [results.messages handleErrorflag('addDC', errorFlag) ' '];
	tdImpcomplete_62D64DFC = timeDomain;
	timeDomain(tdImpcomplete_62D64DFC, 'ifft', fdcomplete_DA49F6CE, 1, 2);
	tdRescomplete_965A5CB3 = timeDomain;
	timeDomain(tdRescomplete_965A5CB3, 'resample', tdImpcomplete_62D64DFC, 2.77777777777778E-12);
	emphasis = [0.70 -0.30];
	% createwidths...extractcursors...
	pdfUnjittered = pdf;
	tdPlscomplete_9C5557DE = timeDomain;
	timeDomain(tdPlscomplete_9C5557DE, 'createwidth', tdRescomplete_965A5CB3, 60, emphasis, size(emphasis,2));
	cdcomplete_53D32D1B = cursorDomain;
	cursorDomain(cdcomplete_53D32D1B, 'extractcursors', tdPlscomplete_9C5557DE, 60,4,90);
	pdf(pdfUnjittered, 'calcpdf', cdcomplete_53D32D1B, 4000);
	% jitter and (result-)pdfs
	pdfFinal = pdf;
	pdf(pdfFinal, 'jitter', pdfUnjittered, '../sas/gauss_60_0c18sb2u7c94b_0c18.jit');
	[resultPdf, scale] = pdf(pdfFinal, 'getClass', 0);
	% measureeye
	[eye_opening, DJ, RJ, cross_x, results.cdrApplied, acHandle, btHandle] = measureeye(resultPdf', scale, 0, 1e-15, 0, 1);
catch
	disp(sprintf('Warning: An ERROR has occurred above:\n%s', lasterr));
end
% handle results generated until here for output and ending the loop if applicable
try
	handle = displayFreqdomain(tpcomplete, fdcomplete_DA49F6CE, 'Frequency domain SAS6G_fir-fwd-0');
	outfile = ['../sas/../output/SAS6G_fir/charFD-fwd-0_' timestmp '.fig'];
	saveas(handle,outfile);
	results.files = [results.files outfile ' '];
	clear handle;
	handle = displayTimedomain(tdImpcomplete_62D64DFC, tdRescomplete_965A5CB3, tdPlscomplete_9C5557DE, 'Time domain SAS6G_fir-fwd-0', baudrate);
	outfile = ['../sas/../output/SAS6G_fir/charTD-fwd-0_' timestmp '.fig'];
	saveas(handle,outfile);
	results.files = [results.files outfile ' '];
	clear handle;
	handle = displayeye(resultPdf', scale, results.eyeRequired, results.tjRequired, cross_x, 1, 0, sprintf('Statistical eye SAS6G_fir\n(vert.opening=%1.6f)', eye_opening));
	outfile = ['../sas/../output/SAS6G_fir/eye_' timestmp '.fig'];
	saveas(handle, outfile);
	results.files = [results.files outfile ' '];
	clear handle;
	displayGraphic(acHandle, 'Amplitude vs. CDF SAS6G_fir');
	outfile = ['../sas/../output/SAS6G_fir/ampcdf_' timestmp '.fig'];
	saveas(acHandle,outfile);
	results.files = [results.files outfile ' '];
	displayGraphic(btHandle, 'Bathtub (Q vs. time offset) SAS6G_fir');
	outfile = ['../sas/../output/SAS6G_fir/bathtub_' timestmp '.fig'];
	saveas(btHandle,outfile);
	results.files = [results.files outfile ' '];
	if ~(pdfFinal == pdfUnjittered)
		pdf(pdfUnjittered, 'clear');
	end
	pdf(pdfFinal, 'clear');
	clear pdfUnjittered pdfFinal resultPdf
	results.emphasis = emphasis;
	results.dj = DJ;
	results.rj = RJ;
	results.statMiddle = cross_x;
	results.eyeOpening = eye_opening;
	results.tj = DJ + results.qRequired*RJ;
	results.jitterCompliant = (results.tj <= results.tjRequired) & (results.dj <= results.djRequired);
	results.eyeCompliant = (results.eyeOpening >= results.eyeRequired);
	results.fullyCompliant = results.jitterCompliant & results.eyeCompliant;
	clear eye_opening DJ RJ cross_x acHandle btHandle;
catch
	disp(sprintf('Warning: An ERROR has occurred above:\n%s', lasterr));
end
results.tictoc = toc;
results.lastWarning = strrep(strrep(lastwarn, sprintf('\n'), ' '), ';', ' ');
results.lastError = strrep(strrep(lasterr, sprintf('\n'), ' '), ';', ' ');
saveResults(results, '../sas/../output/results.csv');
saveResults(results, ['../sas/../output/SAS6G_fir/results_' timestmp '.csv']);
% clear remaining c++ object variables
timeDomain(tdPlscomplete_9C5557DE, 'clear');
cursorDomain(cdcomplete_53D32D1B, 'clear');
timeDomain(tdImpcomplete_62D64DFC, 'clear');
twoport(tpTxRL, 'clear');
twoport(tpSAS2TxTestLoad, 'clear');
twoport(tpcomplete, 'clear');
twoport(tpRxRL, 'clear');
frequencyDomain(fdcomplete_DA49F6CE, 'clear');
timeDomain(tdRescomplete_965A5CB3, 'clear');
clear tdPlscomplete_9C5557DE cdcomplete_53D32D1B tdImpcomplete_62D64DFC tpTxRL tpSAS2TxTestLoad tpcomplete tpRxRL fdcomplete_DA49F6CE tdRescomplete_965A5CB3 emphasis* *Flag s_tp* f_tp* outfile handle
clear pdfUnjittered pdfFinal resultPdf scale timestmp results optlog;
clear all;
pack;
if isempty(lasterr)
	disp('END of analysis run "SAS6G_fir" (1 of 2): successful');
else
	disp('END of analysis run "SAS6G_fir" (1 of 2): caught an ERROR, see results');
end
% END of analysis run 'SAS6G_fir' (1 of 2)

diary off;
% BEGIN of analysis run 'SAS6G_dfe' (2 of 2)
disp('BEGIN of analysis run "SAS6G_dfe" (2 of 2)');
clear all;
pack;
path('/home/stateye/stateye/release/bin', path);
path('/home/stateye/stateye/release/scripts', path);
if isempty(which('twoport'))
	error('Stateye bin directory not found, please add the location of the Stateye binaries to your MATLAB search path manually.');
end;
if isempty(which('create8.m'))
	error('Stateye scripts directory not found, please add the location of the Stateye scripts to your MATLAB search path manually.');
end;
checkFilesystem('../sas/../output',3);
checkFilesystem('../sas/../output/SAS6G_dfe',3);
checkFilesystem('../sas/SAS2_transmittertestload.s4p',0);
path('/home/stateye/stateye/release/bin', path);
path('/home/stateye/stateye/release/scripts', path);
if isempty(which('twoport'))
	error('Stateye bin directory not found, please add the location of the Stateye binaries to your MATLAB search path manually.');
end;
if isempty(which('create8.m'))
	error('Stateye scripts directory not found, please add the location of the Stateye scripts to your MATLAB search path manually.');
end;
checkFilesystem('../sas/../output',3);
checkFilesystem('../sas/../output/SAS6G_dfe',3);
checkFilesystem('../sas/SAS2_transmittertestload.s4p',0);
tic;
timestmp = datestr(clock, 'yyyymmddTHHMMSS');
try
	initresults;
	optlog = '';
	baudrate = 6.000e9;
	results.runId = 'SAS6G_dfe';
	results.runCounter = '2 of 2';
	results.precursors = 4;
	results.postcursors = 90;
	results.width = 60;
	results.bins = 4000;
	results.baudrate = baudrate;
	outfile = ['../sas/../output/SAS6G_dfe/diary_' timestmp '.txt'];
	diary(outfile);
	results.files = [results.files outfile ' '];
	results.transmitterId = 'SAS6G_Tx_0dB';
	results.optemphasis = 0;
	results.dcd = 1;
	results.jitterId = 'SAS6G_Jit';
	results.jitterTemplate = 'gauss';
	results.jitterDj = 0.18;
	results.jitterRj = 0.18/(2*7.94);
	genJitGauss(60, 0.18/(2*7.94), 0.18, '../sas/gauss_60_0c18sb2u7c94b_0c18.jit');
	results.receiverId = 'SAS6G_Rx_dfe5';
	results.ber = 1e-15;
	results.dfetapsNumber = 5;
	results.cdrEnabled = 0;
	results.tjRequired = 0.60;
	results.djRequired = 0.42;
	results.qRequired = (2*7.94);
	results.eyeRequired = (50*2)/800;
	results.channelId = 'full';
	tpcomplete = twoport;
	% begin cascade
	tpTxRL = twoport;
	% begin filter
	tempFilter.R=45;
	tempFilter.C=800e-15;
	tempFilter.p=[0.75*baudrate];
	tempFilter.z=[];
	tempFilter.targetfreq=[];
	tempFilter.optinitfreq=[];
	tempFilter.sdd21=[];
	twoport(tpTxRL,'filter', tempFilter.R, tempFilter.C, size(tempFilter.p),size(tempFilter.z), tempFilter.p, tempFilter.z);
	clear tempFilter;
	% end filter
	tpSAS2TxTestLoad = twoport;
	% begin s4x4
	tpSAS2TxTestLoad_1526 = twoport;
	twoport(tpSAS2TxTestLoad_1526,'loadfile', '../sas/SAS2_transmittertestload.s4p', 4);
	twoport(tpSAS2TxTestLoad,'map',tpSAS2TxTestLoad_1526,[1 2 3 4],[1 5 2 6],4);
	twoport(tpSAS2TxTestLoad_1526, 'clear');
	clear tpSAS2TxTestLoad_1526;
	% end s4x4
	tpRxRL = twoport;
	% begin filter
	tempFilter.R=45;
	tempFilter.C=800e-15;
	tempFilter.p=[];
	tempFilter.z=[];
	tempFilter.targetfreq=[];
	tempFilter.optinitfreq=[];
	tempFilter.sdd21=[];
	twoport(tpRxRL,'filter', tempFilter.R, tempFilter.C, size(tempFilter.p),size(tempFilter.z), tempFilter.p, tempFilter.z);
	clear tempFilter;
	% end filter
	tpCascTemp1 = twoport;
	errorFlag = twoport(tpCascTemp1, 'cascade', tpTxRL, tpSAS2TxTestLoad, 2001);
	results.messages = [results.messages handleErrorflag('cascade', errorFlag) ' '];
	errorFlag = twoport(tpcomplete, 'cascade', tpCascTemp1, tpRxRL, 2001);
	results.messages = [results.messages handleErrorflag('cascade', errorFlag) ' '];
	twoport(tpCascTemp1, 'clear');
	clear tpCascTemp1;
	% end cascade
	fdcomplete_DA49F6CE = frequencyDomain;
	frequencyDomain(fdcomplete_DA49F6CE, 'create', tpcomplete,1,5,2,6);
	errorFlag = frequencyDomain(fdcomplete_DA49F6CE, 'addDC', 3*baudrate, 50000000, 50000000);
	results.messages = [results.messages handleErrorflag('addDC', errorFlag) ' '];
	tdImpcomplete_62D64DFC = timeDomain;
	timeDomain(tdImpcomplete_62D64DFC, 'ifft', fdcomplete_DA49F6CE, 1, 2);
	tdRescomplete_965A5CB3 = timeDomain;
	timeDomain(tdRescomplete_965A5CB3, 'resample', tdImpcomplete_62D64DFC, 2.77777777777778E-12);
	emphasis = [1.00];
	% createwidths...extractcursors...
	pdfUnjittered = pdf;
	tdPlscomplete_9A9D98C3 = timeDomain;
	timeDomain(tdPlscomplete_9A9D98C3, 'createwidth', tdRescomplete_965A5CB3, 60, emphasis, size(emphasis,2));
	cdcomplete_3AD448CC = cursorDomain;
	results.dfetapsFound = cursorDomain(cdcomplete_3AD448CC, 'extractcursorswithdfe', tdPlscomplete_9A9D98C3, 60,4,90,5);
	pdf(pdfUnjittered, 'calcpdf', cdcomplete_3AD448CC, 4000);
	% jitter and (result-)pdfs
	pdfFinal = pdf;
	pdf(pdfFinal, 'jitter', pdfUnjittered, '../sas/gauss_60_0c18sb2u7c94b_0c18.jit');
	[resultPdf, scale] = pdf(pdfFinal, 'getClass', 0);
	% measureeye
	[eye_opening, DJ, RJ, cross_x, results.cdrApplied, acHandle, btHandle] = measureeye(resultPdf', scale, 0, 1e-15, 0, 1);
catch
	disp(sprintf('Warning: An ERROR has occurred above:\n%s', lasterr));
end
% handle results generated until here for output and ending the loop if applicable
try
	handle = displayFreqdomain(tpcomplete, fdcomplete_DA49F6CE, 'Frequency domain SAS6G_dfe-fwd-0');
	outfile = ['../sas/../output/SAS6G_dfe/charFD-fwd-0_' timestmp '.fig'];
	saveas(handle,outfile);
	results.files = [results.files outfile ' '];
	clear handle;
	handle = displayTimedomain(tdImpcomplete_62D64DFC, tdRescomplete_965A5CB3, tdPlscomplete_9A9D98C3, 'Time domain SAS6G_dfe-fwd-0', baudrate);
	outfile = ['../sas/../output/SAS6G_dfe/charTD-fwd-0_' timestmp '.fig'];
	saveas(handle,outfile);
	results.files = [results.files outfile ' '];
	clear handle;
	handle = displayeye(resultPdf', scale, results.eyeRequired, results.tjRequired, cross_x, 1, 0, sprintf('Statistical eye SAS6G_dfe\n(vert.opening=%1.6f)', eye_opening));
	outfile = ['../sas/../output/SAS6G_dfe/eye_' timestmp '.fig'];
	saveas(handle, outfile);
	results.files = [results.files outfile ' '];
	clear handle;
	displayGraphic(acHandle, 'Amplitude vs. CDF SAS6G_dfe');
	outfile = ['../sas/../output/SAS6G_dfe/ampcdf_' timestmp '.fig'];
	saveas(acHandle,outfile);
	results.files = [results.files outfile ' '];
	displayGraphic(btHandle, 'Bathtub (Q vs. time offset) SAS6G_dfe');
	outfile = ['../sas/../output/SAS6G_dfe/bathtub_' timestmp '.fig'];
	saveas(btHandle,outfile);
	results.files = [results.files outfile ' '];
	if ~(pdfFinal == pdfUnjittered)
		pdf(pdfUnjittered, 'clear');
	end
	pdf(pdfFinal, 'clear');
	clear pdfUnjittered pdfFinal resultPdf
	results.emphasis = emphasis;
	results.dj = DJ;
	results.rj = RJ;
	results.statMiddle = cross_x;
	results.eyeOpening = eye_opening;
	results.tj = DJ + results.qRequired*RJ;
	results.jitterCompliant = (results.tj <= results.tjRequired) & (results.dj <= results.djRequired);
	results.eyeCompliant = (results.eyeOpening >= results.eyeRequired);
	results.fullyCompliant = results.jitterCompliant & results.eyeCompliant;
	clear eye_opening DJ RJ cross_x acHandle btHandle;
catch
	disp(sprintf('Warning: An ERROR has occurred above:\n%s', lasterr));
end
results.tictoc = toc;
results.lastWarning = strrep(strrep(lastwarn, sprintf('\n'), ' '), ';', ' ');
results.lastError = strrep(strrep(lasterr, sprintf('\n'), ' '), ';', ' ');
saveResults(results, '../sas/../output/results.csv');
saveResults(results, ['../sas/../output/SAS6G_dfe/results_' timestmp '.csv']);
% clear remaining c++ object variables
timeDomain(tdImpcomplete_62D64DFC, 'clear');
cursorDomain(cdcomplete_3AD448CC, 'clear');
timeDomain(tdPlscomplete_9A9D98C3, 'clear');
twoport(tpTxRL, 'clear');
twoport(tpSAS2TxTestLoad, 'clear');
twoport(tpcomplete, 'clear');
twoport(tpRxRL, 'clear');
frequencyDomain(fdcomplete_DA49F6CE, 'clear');
timeDomain(tdRescomplete_965A5CB3, 'clear');
clear tdImpcomplete_62D64DFC cdcomplete_3AD448CC tdPlscomplete_9A9D98C3 tpTxRL tpSAS2TxTestLoad tpcomplete tpRxRL fdcomplete_DA49F6CE tdRescomplete_965A5CB3 emphasis* *Flag s_tp* f_tp* outfile handle
clear pdfUnjittered pdfFinal resultPdf scale timestmp results optlog;
clear all;
pack;
if isempty(lasterr)
	disp('END of analysis run "SAS6G_dfe" (2 of 2): successful');
else
	disp('END of analysis run "SAS6G_dfe" (2 of 2): caught an ERROR, see results');
end
% END of analysis run 'SAS6G_dfe' (2 of 2)

diary off;
clear all;
pack;
disp(sprintf('MESSAGE: M-file execution ended at %s.', datestr(clock, 'yyyy-mm-dd HH:MM:SS')))

